Bug 10549 - ILS-DI should not use ISO-8851-9 encoding
Summary: ILS-DI should not use ISO-8851-9 encoding
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Mirko Tietgen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-06 21:33 UTC by Mirko Tietgen
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10549 ILS-DI should not use ISO-8851-9 encoding (5.74 KB, patch)
2013-07-08 15:20 UTC, Mirko Tietgen
Details | Diff | Splinter Review
This patch changes a few occurences of ISO-8859-1 to UTF-8 within the XML generation of the ILS-DI module. (5.75 KB, patch)
2013-07-08 15:33 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[SIGNED OFF] ILS-DI should not use ISO-8851-9 encoding (6.11 KB, patch)
2013-07-10 22:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED OFF] ILS-DI should not use ISO-8851-9 encoding (6.11 KB, patch)
2013-07-10 22:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
ILS-DI should not use ISO-8851-9 encoding (6.17 KB, patch)
2013-07-12 16:29 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2013-07-06 21:33:37 UTC
ILS-DI outputs XML in ISO-8859-1 encoding.
Comment 1 Mirko Tietgen 2013-07-08 15:20:14 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-07-08 15:33:57 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-07-10 21:36:23 UTC
Mirko, we are missing a test plan ;)
Comment 4 Katrin Fischer 2013-07-10 21:42:36 UTC
Giving it a try anyway ... :)
Comment 5 Katrin Fischer 2013-07-10 22:10:37 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-07-10 22:11:52 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2013-07-12 16:29:04 UTC
Created attachment 19605 [details] [review]
ILS-DI should not use ISO-8851-9 encoding

This patch changes a few occurences of ISO-8859-1 to UTF-8
within the XML generation of the ILS-DI module.

http://bugs.koha-community.org/show_bug.cgi?id=10549

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
To test:
- Activate ILS-DI system preference
- Go to [youropac]/cgi-bin/koha/ilsdi.pl
- Check all examples in the documentation for the correct
  encoding
- Check GetAvailability gives you the correct encoding and
  check the source for the correct encoding

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Galen Charlton 2013-07-17 19:15:53 UTC
Pushed to master, along with a follow-up to ensure that the output of the GetAvailability service is actually encoded as UTF-8.  Thanks, Mirko!
Comment 9 Tomás Cohen Arazi 2013-08-13 16:52:00 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Mirko!
Comment 10 Bernardo Gonzalez Kriegel 2013-09-13 21:21:29 UTC
Pushed to 3.10.x, will be in 3.10.11
Comment 11 Chris Hall 2013-09-15 05:17:07 UTC
Pushed to 3.8.x, will be in 3.8.18.